import { useState } from "react";
import { CollapsedAddTodo } from "@src/components/todos/collapsed/collapsedAddTodo";
import { AddTodoForm } from "@src/components/todos/collapsed/addTodoForm";
import { CollapsedState } from "@src/components/todos/collapsed/collapsedState";

export function AddTodo() {
  const [collapsed, setCollapsed] = useState<CollapsedState>(
    CollapsedState.collapsed
  );

  if (collapsed === CollapsedState.collapsed) {
    return (
      <CollapsedAddTodo
        onClick={() => setCollapsed(CollapsedState.notCollapsed)}
      />
    );
  }

  return (
    <AddTodoForm
      onAdd={(todoName) => {}}
      onClose={() => setCollapsed(CollapsedState.collapsed)}
    />
  );
}
