import { FC, useState } from "react";

export const AddTodoForm: FC<{
  onAdd: (todoName: string) => void;
  onClose: () => void;
}> = ({ onAdd, onClose }) => {
  const [todoName, setTodoName] = useState("");

  return (
    <div className="p-2 space-y-1">
      <div className="todo-input-form py-2 px-4 bg-gray-900 border border-gray-600">
        <input
          type="text"
          placeholder="Todo name"
          className="text-sm"
          value={todoName}
          onChange={(e) => setTodoName(e.target.value)}
        />
      </div>
      <div className="space-x-2">
        <button
          disabled={!todoName}
          onClick={() => {
            onAdd(todoName);
            setTodoName("");
          }}
          className="disabled:text-gray-800 transition"
        >
          Add todo
        </button>
        <button onClick={onClose}>Cancel</button>
      </div>
    </div>
  );
};
