import { useMemo } from "react";
import { getInboxTodos } from "@src/core/actions/todos";
import { PageHeading } from "@src/components/common/headings/pageHeading";
import { TodoList } from "@src/components/todos";

const HomePage = () => {
  const inboxTodos = useMemo(() => getInboxTodos(), []);

  return (
    <main className="py-8 px-14 space-y-6">
      <section className="space-y-2">
        <PageHeading title="Inbox" />
        <TodoList todos={inboxTodos} />
      </section>
    </main>
  );
};
export default HomePage;
